Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### case

Examples

    char letter = 'B';

    switch(letter) {
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'B':
        println("Bravo");  // Prints "Bravo"
        break;
      default:
        println("Zulu");   // Does not execute
        break;
    }

Description | Denotes the different labels to be evaluated with the parameter in the switch() structure.

Syntax

    case label: statements

Parameters

label | byte, char, or int
statements | one or more valid statements

Usage | Web & Application
Related | switch() default break

Updated on November 22, 2008 08:39:26pm PST